#ifndef CARSINK_H_
#define CARSINK_H_

#include "../config.h"
#include "../iface/Animated.h"
#include "SimulationObject.h"
#include "Sector.h"

class CarSink: public SimulationObject, public Animated {
public:
	CarSink(Sector* sector);
	virtual ~CarSink();
	
	virtual void initialize() {};
	virtual void computeStep() {};
	virtual void performStep();
	
	virtual std::string toString() const;
	
private:
	Sector* _sector;
};

#endif /*CARSINK_H_*/
